API Reference//
- Returns a list of transactions for an account for a consent.
Overview
Authorization
Deletes all the stored data associated with the consent
Returns a list of accounts for a consent.
Returns the end of day balances for an account for a given consent.
Returns provider details for a consent.
Refreshes data for a consent.
Deletes all the stored data associated with the user
Returns balances for an account for a consent.
Returns balances for an account for a consent.
Returns a list of transac...
Returns a list of transactions for an account for a consent.
Security
Bearer(Required scopes: api:stored_data)
- UK Environment (Production)https://uk.api.atto.co/stored-data/v1/consents/{consentId}/accounts/{accountId}/transactions
- US Environment (Production)https://us.api.atto.co/stored-data/v1/consents/{consentId}/accounts/{accountId}/transactions
curl -i -X GET \
'https://uk.api.atto.co/stored-data/v1/consents/{consentId}/accounts/{accountId}/transactions?searchTerm=string&sortField=Description&sortDesc=true&indicator=Credit&category=string&classification=string&from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z&offset=0&limit=0' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
{ "data": [ { … }, { … }, { … } ], "meta": { "totalRecords": 3 } }